Name:		eg
Version:	0.85
Release:	1%{?dist}
Summary:	A wrapper for git

Group:		Development/Tools
License:	GPLv2
URL:		http://www.gnome.org/~newren/%{name}/
Source0:	http://www.gnome.org/~newren/%{name}/download/%{version}/%{name}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch

Requires:	git >= 1.5.4
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))		

%description
Easy Git (eg) is a wrapper for Git, designed to make Git easy to learn and use

eg focuses on documentation and examples

Most of the work in eg is plugging a gap in git documentation: 
providing simple tutorial-oriented command-specific built-in help.

eg's documentation is example driven

eg makes git easy to learn and use

* easily learnable - I claim you can learn git faster by first using 
eg than by starting with git directly

* interchangeable - You can switch between using eg and using git as 
often as you'd like. I do it all the same on the same repositories.

* fully capable - Unlike other wrappers for git, eg does not remove 
or limit any capabilities of git in order to simplify it; it just 
tries to layer concepts and present the capabilities in a more 
orderly fashion.

* compatible - eg is essentially command-line backwards compatible 
to git; those familiar with git can start using eg by simply 
replacing "git" with "eg" in their commands.


%prep



%setup -T -c
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(an)/d'\
	-e '/perl(one)/d'\
	-e '/perl(the)/d'
EOF

%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-req
chmod +x %{__perl_requires}

cp $RPM_SOURCE_DIR/%{name} $RPM_BUILD_DIR/%{name}-%{version}
%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p eg $RPM_BUILD_ROOT%{_bindir} 

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/eg




%changelog
* Sat Aug  9 2008 Adam Huffman <bloch@verdurin.com> - 0.85-1
- Initial version

